=== debian/changelog ===
xgboost-predictor-java (0.3.1+dfsg-3) unstable; urgency=medium

  * Raising Standards version to 4.7.2 (no change)
  * Marking libxgboost-predictor-java as Multi-Arch: foreign.

 -- Pierre Gruet <pgt@debian.org>  Tue, 19 Aug 2025 14:39:39 +0200

xgboost-predictor-java (0.3.1+dfsg-2) unstable; urgency=medium

  * Source-only upload to unstable

 -- Pierre Gruet <pgt@debian.org>  Thu, 07 Apr 2022 14:20:14 +0200

xgboost-predictor-java (0.3.1+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #1008572)

 -- Pierre Gruet <pgt@debian.org>  Fri, 01 Apr 2022 18:30:44 +0200
