=== debian/control ===
Source: xgboost-predictor-java
Section: science
Priority: optional
Maintainer: Debian Deep Learning Team <debian-ai@lists.debian.org>
Uploaders: Pierre Gruet <pgt@debian.org>
Build-Depends: debhelper-compat (= 13),
               default-jdk-headless,
               gradle-debian-helper,
               junit4 <!nocheck>,
               libhamcrest-java <!nocheck>,
               maven-repo-helper
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/deeplearning-team/xgboost-predictor-java
Vcs-Git: https://salsa.debian.org/deeplearning-team/xgboost-predictor-java.git
Homepage: https://github.com/komiya-atsushi/xgboost-predictor-java
Rules-Requires-Root: no

Package: libxgboost-predictor-java
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Java implementation of XGBoost predictor for online prediction tasks
 XGBoost is an optimized distributed gradient boosting library designed to be
 highly efficient, flexible and portable. It implements machine learning
 algorithms under the Gradient Boosting framework. XGBoost provides a parallel
 tree boosting (also known as GBDT, GBM) that solve many data science problems
 in a fast and accurate way. The same code runs on major distributed
 environment (Kubernetes, Hadoop, SGE, MPI, Dask) and can solve problems beyond
 billions of examples.
