=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%, \
      repack, repacksuffix=+dfsg, compression=xz, dversionmangle=auto" \
 https://github.com/komiya-atsushi/xgboost-predictor-java/tags (?:.*?/)?(?:xgboost-predictor-)?(\d[\d.]*)\.tar\.gz
